eclipse中配置j2me,简单运行j2me程序

原创 2011年01月20日 10:09:00

1.安装好jdk
2.去官网上下载好eclipse, 去eclipseme.org上下载eclipseme,http://www.oracle.com/technetwork/java/download-135801.html下载

(wiress toolkit)wtk,WTK需要安装。
3.进入eclipse选择help
4.选择install new software
5.点击add
6.在Add Repository中点击archive...
7.选择下载好的eclipseme.feature包,zip格式的
8.ok
9.选择select all
10.next
11.next
12.选择I accept the terms of the licese agreement
13.finish在安装期间要联网,有东西从网上download
14.安装完毕,选择重启eclipse
15.选择window中的preferences
16.选择j2me->Device Management->import
17.选择你安装好的wtk文件夹,例如:D:/WTK2.5.2_01
18.Refresh
19.Select All
20.选择一个设备,默认就行
21.Apply
22.ok
23.选择File->new->other->j2me->j2me midlet suite
24.next后输入项目名称,next,next
25.finish
26.项目创建完成,右键src->new->j2me->j2me midlet
27.name中输入类名hello,finish
28.在hello中输入

29.右键项目名run as->run configurations->右键wireless toolkit emulator->new
30.可以把name中的new_configuration改成你自己的名
31.在executable中选择midlet->search
32.选择hello,如果有包名,带上包的名称
33.ok
34.点击apply
35.点击run

相关文章推荐

j2me中,Sprite TieldLayer地图贴图的制作方法

public class PersonMoveMain extends MIDlet {  private Display display;  private PersonMapCanvas pm...

eclipse下Image.CreateImage(string filename)的使用

 今天在学习j2me的过程中遇到了一个问题,就是使用CreateImage显示不了图像,在网上找了一下。需要将图片放在RES目录下,尝试了一下,发现还是不行。而且提示两个错误:System.IO.Ex...

如何将j2me程序移植到真机上运行

打包时中文乱码的解决方案

使用Eclipse,Kemulator模拟器配置J2ME工程

1、安装JAVA环境。jdk1.4以上即可。 2、使用Eclipse3.4以及以上的版本,下载eclipseme.feature_1.7.9_site.zip。你可以通过Eclipse-》Help-...

eclipse+wtk配置j2me开发环境

下载最新版的必备软件, 1 eclipse 3.2.2 到下面这个地址去找找   http://www.eclipse.org/downloads/ 2 eclipseme 1.6.7   h...

Eclipse 3.5.2配置J2ME环境和 WTK2.5.2下载(转)

一、下载EclipseMe1.7.9 1. EclipseMe1.7.9下载地址是 : http://sourceforge.net/projects/eclipseme/files/ ...

Eclipse下J2ME开发环境的配置

在学习编程的过程中,我觉得不止要获得课本的知识,更多的是通过学习技术知识提高解决问题的能力,这样我们才能走在最前方,更多Java学习,请搜索疯狂Java;   jdk1.5.4.exe——Java运...

Eclipse 3.5.2配置J2ME环境和 WTK2.5.2下载

Eclipse 3.5.2配置J2ME环境和 WTK2.5.2下载一、下载EclipseMe1.7.9      1. EclipseMe1.7.9下载地址是:http://sourceforge...

亲密接触Java手机程序设计(一):认识手机程序运行环境――J2ME平台

亲密接触java手机程序设计(一) 认识手机程序运行环境――j2me平台 随着无线移动通讯技术的飞速发展,手机已从个别人手中的炫耀品摇身一变成为普通老百姓掌中必备的通讯工具,同时手机的功能也变的丰...

在Ubuntu 10.10下安装JDK配置Eclipse配置j2me

环境:ubuntu10.10 下载工具:jdk,版本为jdk-6u23-linux-i586.bin。(百度:oracal java) eclipse,版本eclipse-java-helios-...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:eclipse中配置j2me,简单运行j2me程序
举报原因:
原因补充:

(最多只允许输入30个字)